<template>
  <div>
    <button @click="openmodel()">测试按钮</button>
    <div class="relLayout">
      <gaea-editor ref="editor"></gaea-editor>
    </div>

  </div>
</template>

<script>
    export default {
        methods:{
            openmodel(){

                this.$store.commit('viewport/deleteDataArr', {});
                debugger;
                let sth=this.$refs.editor.exportData(1);
                console.log(sth);
                Bus.$emit("initTemplateInstance",{});
                //let sth=this.$refs.editor.exportData(2);

            }
        },
        created(){
            Bus.$on("initTemplateInstance",function(){
                debugger;
            });
        },mounted(){
            this.$refs.editor.updateHeight("100px");
        }

    };
</script>

<style scoped lang="less">
  .relLayout{

  }
  .iTDNZh {
    position: absolute;
    left: 0px;
    top:40px;
    overflow: hidden !important;
  }
  .hkgySY {
    min-height: 400px !important;
  }
  .attachment-wrap .attachment {
    line-height: 10px !important;
  }
  .attachment-wrap .attachment .title {
    overflow: hidden !important;
  }
</style>
